Subject: Re: Git feature request: --amend older commit

From: Michael Haggerty <[email-masked]>
Date: Fri, 17 Aug 2012 18:33:31 +0200

On 08/17/2012 05:47 PM, George Spelvin wrote:
> With git's "commit frequently" style, I often find that I end up with a
> commit that includes a typo in a comment or I forgot one call site when
> updating functions or something.
>
> And it's a few commits later before I notice the simple oops.
>
> This is of course fixable by making a commit, rebase -i HEAD~4 (or whatever),
> and marking the fixup for squashing into the previous commit.
>
> But it would be really handy if there were a one-step command for doing this.
>
> Something like "git commit --fixup HEAD~3", where "git commit --fixup HEAD"
> would be equivalent to "git commit --amend". [...]

Have you tried "git rebase --autosquash"?  It does part of what you are 
asking for and additionally allows multiple fixup commits to be queued 
up and processed in a single rebase.

Michael

-- 
Michael Haggerty
[email-masked]
http://softwareswirl.blogspot.com/